List canvas blocks for a Case
GET
/api/v1/projects/{projectId}/cases/{caseId}/blocks
const url = 'https://api.yggy.tech/api/v1/projects/example/cases/example/blocks';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.yggy.tech/api/v1/projects/example/cases/example/blocks \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” projectId
required
string
caseId
required
string
Responses
Section titled “ Responses ”Blocks
Media type application/json
object
blocks
required
Array<object>
object
id
required
string
caseId
required
string
type
required
string
title
required
string | null
position
required
integer
content
required
object
key
additional properties
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
Example
{ "blocks": [ { "type": "note" } ]}Unauthorized
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}Forbidden
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}Case not found
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}